#include "testlib.h"
#include<bits/stdc++.h>
typedef long long ll;
using namespace std;
int main(int c, char **ars) {
    registerTestlibCmd(c, ars);
    ll a, b, x = -1, y = -1;
    a = ans.readLong();
    b = ans.readLong();
    x = ouf.readLong();
    if (!ouf.seekEof())
        y = ouf.readLong();

    if (x == a && y == b)
        quitf(_ok, "Chúc mừng bạn trả lời đúng cả hai ý!\n");

    if (x == a)
        quitp(50., "Bạn chỉ trả lời đúng ý thứ nhất!\n");

    if (y == b)
        quitp(50., "WTF, sao sai ý đầu mà lại đúng được ý sau nhỉ?\n");

    quitf(_wa, "Bạn trả lời sai cả hai ý\n");

    return 0;
}
